Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad
Class AdInfo

    java.lang.Object
      com.bea.p13n.ad.AdInfo

All Implemented Interfaces
  Serializable

    public class AdInfo

extends Object
implements Serializable

This is a data structure for the information stored for about ad in an ad bucket.

See Also
  Serialized Form

Constructor Summary
`AdInfo()` Construct an initialized AdInfo.
`AdInfo(long bucketId, String userId, String placeholder, String containerUID, String containerType, String contextUID, int weight, String query, int count)` Construct an AdInfo providing the properties.
`AdInfo(long bucketId, String userId, String placeholder, String containerUID, String containerType, String contextUID, int weight, String query, int count, Timestamp expiration)` Construct an AdInfo providing the properties.

Method Summary
`Timestamp` | `getAdExpiration()` Get the ad expiration
`long` | `getBucketId()` Get the ad bucket id
`String` | `getContainerType()` Get the container type
`String` | `getContainerUID()` Get the container name
`String` | `getContextUID()` Get the contextUID name
`int` | `getCount()` Get the view count
`String` | `getPlaceholder()` Get the placeholder name
`String` | `getQuery()` Get the query string
`String` | `getUserId()` Get the userId
`int` | `getWeight()` Get the ad weight
`void` | `setAdExpiration(Timestamp expiration)` Set the ad expiration
`void` | `setBucketId(long bucketId)` Set the ad bucket id
`void` | `setContainerType(String containerType)` Set the container type
`void` | `setContainerUID(String containerUID)` Set the container name
`void` | `setContextUID(String contextUID)` Set the contextUID name
`void` | `setCount(int count)` Set the view count
`void` | `setPlaceholder(String placeholder)` Set the placeholder name
`void` | `setQuery(String query)` Set the query string
`void` | `setUserId(String userId)` Set the userId
`void` | `setWeight(int weight)` Set the ad weight

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdInfo

    public AdInfo()

  Construct an initialized AdInfo.

### AdInfo

    public AdInfo(long bucketId,
                  String userId,
                  String placeholder,
                  String containerUID,
                  String containerType,
                  String contextUID,
                  int weight,
                  String query,
                  int count)

  Construct an AdInfo providing the properties.

  Parameters
    `userId` - the userId for the ad
    `placeholder` - the name of the placeholder
    `containerUID` - the name of the container
    `containerType` - the type of the context
    `contextUID` - the context that created the ad
    `weight` - the weight that add has relative to other ads
    `query` - the content management query string
    `count` - the view count

### AdInfo

    public AdInfo(long bucketId,
                  String userId,
                  String placeholder,
                  String containerUID,
                  String containerType,
                  String contextUID,
                  int weight,
                  String query,
                  int count,
                  Timestamp expiration)

  Construct an AdInfo providing the properties.

  Parameters
    `userId` - the userId for the ad
    `placeholder` - the name of the placeholder
    `containerUID` - the name of the container
    `containerType` - the type of the context
    `contextUID` - the context that created the ad
    `weight` - the weight that add has relative to other ads
    `query` - the content management query string
    `count` - the view count
    `expiration` - the ad expiration

Method Detail

### setUserId

    public void setUserId(String userId)

  Set the userId

### getUserId

    public String getUserId()

  Get the userId

### setPlaceholder

    public void setPlaceholder(String placeholder)

  Set the placeholder name

### getPlaceholder

    public String getPlaceholder()

  Get the placeholder name

### setContextUID

    public void setContextUID(String contextUID)

  Set the contextUID name

### getContextUID

    public String getContextUID()

  Get the contextUID name

### setContainerUID

    public void setContainerUID(String containerUID)

  Set the container name

### getContainerUID

    public String getContainerUID()

  Get the container name

### setContainerType

    public void setContainerType(String containerType)

  Set the container type

### getContainerType

    public String getContainerType()

  Get the container type

### setWeight

    public void setWeight(int weight)

  Set the ad weight

### getWeight

    public int getWeight()

  Get the ad weight

### setBucketId

    public void setBucketId(long bucketId)

  Set the ad bucket id

### getBucketId

    public long getBucketId()

  Get the ad bucket id

### setQuery

    public void setQuery(String query)

  Set the query string

### getQuery

    public String getQuery()

  Get the query string

### setCount

    public void setCount(int count)

  Set the view count

### getCount

    public int getCount()

  Get the view count

### setAdExpiration

    public void setAdExpiration(Timestamp expiration)

  Set the ad expiration

### getAdExpiration

    public Timestamp getAdExpiration()

  Get the ad expiration

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.